Bug 529833 - (CVE-2009-2820) CVE-2009-2820 cups: Several XSS flaws in forms processed by CUPS web interface
CVE-2009-2820 cups: Several XSS flaws in forms processed by CUPS web interface
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,reported=20091019,pub...
: Security
Depends On: 536787 536788
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-20 07:28 EDT by Jan Lieskovsky
Modified: 2016-03-04 06:59 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
CVE-2009-2820-cups-1.3v2.patch from Aaron Sigel (13.13 KB, patch)
2009-10-20 07:31 EDT, Jan Lieskovsky
no flags Details | Diff
CVE-2009-2820-cups-1.4v2.patch from Aaron Sigel (13.07 KB, patch)
2009-10-20 07:32 EDT, Jan Lieskovsky
no flags Details | Diff
Regression fix (855 bytes, patch)
2009-10-30 16:46 EDT, Tomas Hoger
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
CUPS Bugs and Features 3367 None None None Never
CUPS Bugs and Features 3401 None None None Never

  None (edit)
Description Jan Lieskovsky 2009-10-20 07:28:12 EDT
Several cross-site scripting (XSS) flaws were found in the way CUPS web
server interface used to process HTML form(s) content. A remote attacker
could provide a specially-crafted HTML page(s), which once visited, by
a local, unsuspecting user could lead to intended client-side security
mechanisms bypass or, potentially, to injecting of malicious scripts into
web pages, processed by CUPS web interface. 

Acknowledgements:

Red Hat would like to thank Aaron Sigel of Apple Product Security for
responsibly reporting this issue.
Comment 1 Jan Lieskovsky 2009-10-20 07:30:00 EDT
This issue does NOT affect the versions of the cups package, as shipped
with Red Hat Enterprise Linux 3 and 4.

This issue affects the version of the cups package, as shipped 
with Red Hat Enterprise Linux 5.
Comment 2 Jan Lieskovsky 2009-10-20 07:31:53 EDT
Created attachment 365324 [details]
CVE-2009-2820-cups-1.3v2.patch from Aaron Sigel
Comment 3 Jan Lieskovsky 2009-10-20 07:32:38 EDT
Created attachment 365326 [details]
CVE-2009-2820-cups-1.4v2.patch from Aaron Sigel
Comment 6 Vincent Danen 2009-10-23 13:23:46 EDT
This issue does not affect CUPS 1.1.x because it does not include the vulnerable admin page.
Comment 10 Tomas Hoger 2009-10-30 16:46:46 EDT
Created attachment 366865 [details]
Regression fix

It was reported that upstream patch breaks adding a class using the web interface.  Following patch was proposed and is being reviewed upstream.  It's possible this fix won't make it to upstream 1.4.2.
Comment 11 Tomas Hoger 2009-11-10 02:42:43 EST
Now fixed in 1.4.2, which should also contain regression fix mentioned in comment #10:

http://www.cups.org/articles.php?L590
http://lists.apple.com/archives/security-announce/2009/Nov/msg00000.html
Comment 16 errata-xmlrpc 2009-11-18 07:49:59 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1595 https://rhn.redhat.com/errata/RHSA-2009-1595.html
Comment 17 Fedora Update System 2009-11-30 23:17:40 EST
cups-1.4.2-7.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2009-11-30 23:33:04 EST
cups-1.4.2-7.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2009-12-01 23:48:48 EST
cups-1.3.11-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 errata-xmlrpc 2010-01-12 11:21:23 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1595 https://rhn.redhat.com/errata/RHSA-2009-1595.html

Note You need to log in before you can comment on or make changes to this bug.